defmodule Towerops.Repo.Migrations.AddSnmpConfigToOrganizationsAndSites do
  use Ecto.Migration

  def change do
    # Add SNMP configuration to organizations (global default)
    alter table(:organizations) do
      add :snmp_version, :string, default: "2c"
      add :snmp_community, :string
    end

    # Add SNMP configuration to sites (override org default)
    alter table(:sites) do
      add :snmp_version, :string
      add :snmp_community, :string
    end
  end
end
